## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class StructuredUserDefinedTypeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
                      org.eclipse.datatools.modelbase.sql.datatypes.impl.StructuredUserDefinedTypeImpl

All Implemented Interfaces:
  DataType, SQLObject, StructuredUserDefinedType, UserDefinedType

public class StructuredUserDefinedTypeImpl
extends UserDefinedTypeImpl
implements StructuredUserDefinedType

An implementation of the model object 'Structured User Defined Type'.

The following features are implemented:

- `Instantiable`
- `Final`
- `Super`
- `Sub`
- `Attributes`
- `Methods`

See Also:
  Serialized Form

Method Summary
`StructuredUserDefinedType` `basicGetSuper()`
`NotificationChain` `basicSetSuper(StructuredUserDefinedType newSuper, NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`EList` `getAttributes()`
`EList` `getMethods()`
`EList` `getSub()`
`StructuredUserDefinedType` `getSuper()`
`boolean` `isFinal()`
`boolean` `isInstantiable()`
`void` `setFinal(boolean newFinal)`
`void` `setInstantiable(boolean newInstantiable)`
`void` `setSuper(StructuredUserDefinedType newSuper)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
`basicGetSchema, basicSetOrdering, basicSetSchema, getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isInstantiable

    public boolean isInstantiable()

  Specified by:
    `isInstantiable` in interface `StructuredUserDefinedType`
  Returns:
    the value of the 'Instantiable' attribute.
  See Also:
    `StructuredUserDefinedType.setInstantiable(boolean)`, `SQLDataTypesPackage.getStructuredUserDefinedType_Instantiable()`

### setInstantiable

    public void setInstantiable(boolean newInstantiable)

  Specified by:
    `setInstantiable` in interface `StructuredUserDefinedType`
  Parameters:
    `newInstantiable` - the new value of the 'Instantiable' attribute.
  See Also:
    `StructuredUserDefinedType.isInstantiable()`

### isFinal

    public boolean isFinal()

  Specified by:
    `isFinal` in interface `StructuredUserDefinedType`
  Returns:
    the value of the 'Final' attribute.
  See Also:
    `StructuredUserDefinedType.setFinal(boolean)`, `SQLDataTypesPackage.getStructuredUserDefinedType_Final()`

### setFinal

    public void setFinal(boolean newFinal)

  Specified by:
    `setFinal` in interface `StructuredUserDefinedType`
  Parameters:
    `newFinal` - the new value of the 'Final' attribute.
  See Also:
    `StructuredUserDefinedType.isFinal()`

### getSuper

    public StructuredUserDefinedType getSuper()

  Specified by:
    `getSuper` in interface `StructuredUserDefinedType`
  Returns:
    the value of the 'Super' reference.
  See Also:
    `StructuredUserDefinedType.setSuper(StructuredUserDefinedType)`, `SQLDataTypesPackage.getStructuredUserDefinedType_Super()`, `StructuredUserDefinedType.getSub()`

### basicGetSuper

    public StructuredUserDefinedType basicGetSuper()

### basicSetSuper

    public NotificationChain basicSetSuper(StructuredUserDefinedType newSuper,
                                           NotificationChain msgs)

### setSuper

    public void setSuper(StructuredUserDefinedType newSuper)

  Specified by:
    `setSuper` in interface `StructuredUserDefinedType`
  Parameters:
    `newSuper` - the new value of the 'Super' reference.
  See Also:
    `StructuredUserDefinedType.getSuper()`

### getSub

    public EList getSub()

  Specified by:
    `getSub` in interface `StructuredUserDefinedType`
  Returns:
    the value of the 'Sub' reference list.
  See Also:
    `SQLDataTypesPackage.getStructuredUserDefinedType_Sub()`, `StructuredUserDefinedType.getSuper()`

### getAttributes

    public EList getAttributes()

  Specified by:
    `getAttributes` in interface `StructuredUserDefinedType`
  Returns:
    the value of the 'Attributes' containment reference list.
  See Also:
    `SQLDataTypesPackage.getStructuredUserDefinedType_Attributes()`

### getMethods

    public EList getMethods()

  Specified by:
    `getMethods` in interface `StructuredUserDefinedType`
  Returns:
    the value of the 'Methods' containment reference list.
  See Also:
    `SQLDataTypesPackage.getStructuredUserDefinedType_Methods()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `UserDefinedTypeImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `UserDefinedTypeImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `UserDefinedTypeImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `UserDefinedTypeImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `UserDefinedTypeImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `UserDefinedTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.